/*
 * ============================================================================
 * Licensed Materials - Property of IBM
 *  WebSphere sMash
 *
 * (C) Copyright IBM Corp. 2008  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 * ============================================================================
 */
import zero.core.fileserver.FileUtils
import zero.core.fileserver.FileServer
	
def onGET() {
    def pathInfo = event.pathInfo[]
    def data = null;
    
    // deal with root
    if (pathInfo.length() == 0) {
    	request.status = 500
    	data = [ 'type' : 'error', 'name' : 'Error no path']
    	return
    } else {
        // Lets find the file or folder
        for (dependency in config.dependencies[]) {
    		def dependencyRoot = config.dependencies."${dependency}"[]
    		def physicalFile = new File(dependencyRoot, pathInfo)
    		if (physicalFile.isFile()){
    		    data = [ 'type' : 'file', 'name' : physicalFile.getPath() + '  (' + dependency +')', 'path' : pathInfo ]
    		    event.path = physicalFile.getCanonicalPath()
    		    def server = new FileServer()
    		    server.onGET()    		             
    		    return
    		}
    	}
        if (data == null) {
            request.status = 404
        	data = [ 'type' : 'error', 'name' : 'Error at ' + pathInfo, 'path' : pathInfo]
        	return
        }
    }
    
	request.view = 'JSON'
	request.json.output = data
	zero.core.views.ViewEngine.render()
}